Main Page Modules Data Structures File List Data Fields Globals Related Pages

# build/buildio.h File Reference

Routines to read and write packages. More...

`#include "psm.h"`
`#include "rpmbuild.h"`

Go to the source code of this file.

## Data Structures

struct | cpioSourceArchive_s

## Typedefs

typedef cpioSourceArchive_s * | CSA_t

## Functions

int | readRPM (const char *fileName, Spec *specp, struct rpmlead *lead, Header *sigs, CSA_t csa)
| Read rpm package components from file. More...
int | writeRPM (Header *hdrp, const char *fileName, int type, CSA_t csa, char *passPhrase, const char **cookie)
| Write rpm package to file. More...

## Detailed Description

Routines to read and write packages.

Deprecated:
  this information will move elsewhere eventually.

Todo:
  Eliminate, merge into rpmlib.

Definition in file buildio.h.

## Typedef Documentation

typedef struct cpioSourceArchive_s * CSA_t

## Function Documentation

int readRPM | ( | const char * | fileName,
|  | Spec * | specp,
|  | struct rpmlead * | lead,
|  | Header * | sigs,
|  | CSA_t | csa
| ) |

Read rpm package components from file.

Parameters:

  fileName | file name of package (or NULL to use stdin)

Return values:

  specp | spec structure to carry package header (or NULL)
  lead | package lead
  sigs | package signature

Parameters:

  csa |

Returns:
  0 on success

Definition at line 277 of file pack.c.

int writeRPM | ( | Header * | hdrp,
|  | const char * | fileName,
|  | int | type,
|  | CSA_t | csa,
|  | char * | passPhrase,
|  | const char ** | cookie
| ) |

Write rpm package to file.

Warning:
  The first argument (header) is now passed by reference in order to return a reloaded contiguous header to the caller.

Return values:

  hdrp | header to write (final header is returned).

Parameters:

  fileName | file name of package
  type | RPMLEAD_SOURCE/RPMLEAD_BINARY
  csa |
  passPhrase |

Return values:

  cookie | generated cookie (i.e build host/time)

Returns:
  0 on success

Definition at line 385 of file pack.c.